List exam questions

GET/products/{product_id}/exams/{exam_id}/questions

The correct field of each alternative is included only when the current credentials have the exams.read_answer_key permission; otherwise, the field is omitted.

AuthorizationBearer <token>

Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.

In: header

Path Parameters

product_id*string
exam_id*string

Query Parameters

limit?integer
Range1 <= value <= 200
cursor?string
sort?string

Value in

  • "id"
  • "-id"
deleted?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/products/string/exams/string/questions"
{  "data": [    {      "alternatives": [        {          "correct": true,          "id": "string",          "text": "string"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "deleted": true,      "exam_id": "string",      "format": "multiple_choice",      "id": "string",      "image": "string",      "object": "exam_question",      "position": 0,      "revision": "string",      "text": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "page": {    "limit": 1,    "next_cursor": "string",    "prev_cursor": "string"  }}